## Ms. Isle
- Adds a playable Missile Drone survivor based on the existing Missile Drone ally, including a full suite of abilities to make being a flying survivor more playable and enjoyable
- Please read the skill descriptions and the Overview page on the selection screen to fully understand how to use their abilities!
- Uses no code hooks/injection or modification to RoR2's base code, ensuring compatibility with all other mods.

[![](https://i.imgur.com/HddQQTD.png)]()
[![](https://i.imgur.com/cjT5Ge3.jpg)]()

## Skills

| Skill | | Description | Stats |
|:-|-|------|-|
| Fly-by | ![](https://i.imgur.com/aRTZ99Y.png) | Ms. Isle can `fly` in any direction! Flying close to terrain will cause her to `sprint`! Jumping is replaced with `Overclocked Drives`. The jump and sprint keys now allow you to fly upwards and downwards respectively. | Sprint activates when within `5 metres` of terrain, deactivates when `8 metres` away from terrain.  |
| AtG Misile Mk.II | ![](https://i.imgur.com/JjgbEyp.png) | `Agile`. Fire a barrage of missiles for `6x100%` damage. `Fire-rate bonuses increase the number of missiles in the barrage`. | Proc: `1.0`, CD: `2 sec` |
| Pack Hounds | ![](https://i.imgur.com/bUhDzox.png) | `Agile`. Fire a barrage of auto-targeting Pack Hound missiles for `400%` damage. `Charges for this ability are gained per-kill`.| Proc: `1.0` |
| Overclocked Drives | ![](https://i.imgur.com/i1MMw9a.png) | Enter a brief omnidirectional boost. `Items that affect jumping affect this ability instead`. This ability recharges all stocks upon flying near terrain. | CD: Minimum of `2 sec` |
| Cumulative Warhead | ![](https://i.imgur.com/qMzWkIj.png) | Fire a cumbersome, slow-moving warhead for `500%` damage that `absorbs damage` dealt by you and your allies, exploding on impact for a huge detonation of a radius and damage influenced by the amount of absorbed damage. | Proc: `1.0`, CD: `30 sec` |


## Known issues
- *Pack Hounds* (Secondary ability) can sometimes cancel early. The missiles lost in this cancellation will be refunded in the next use of the ability.
- The view ray used to determine activating interactables will feel slightly off. To change the final teleporter's destination, you'll need to push yourself against the outer part of the teleporter until the prompt appears. Chests etc. should work almost perfectly as of 1.0.0
- *Backup Magazine* scales the Pack Hounds ability insanely fast - 1 extra charge per kill per pack hound; 4 stacks means 5 charges are gained per kill, cascading in a way that is much more powerful than was intended. This will be rebalanced in future.
- *Cumulative Warhead* is invisible to clients (non-host players in multiplayer) if fired by a client. Host's nukes are visible to all, clients' nukes are visible to the host, and the ability functions correctly aside from this visual bug.

## Future Plans
- Additional alternative skills
	- **Recruitment Drive** (Special) - Recruit 3 drones (Missile, Gunner, and Incinerator) that inherit your items. Lasts 20 seconds.
	- **Remote Charges** (Secondary) - On kill, drop a remotely-detonated charge that explodes for `200%` damage. Damage increases over lifetime up to 3000% per charge. Activating this ability detonates all existing charges in a rapid sequence.

- Stat changes
	- Reduced proc coefficient on **AtG Missile Mk. II**
	- **Pack Hounds** will have a fixed maximum number of charges that can be stored; Backup Magazine will increase this by 100% per stack.
- Additional Skins
- General bug-fixes

## Changelog
`1.0.0`
- Initial release!
`1.0.1`
- Fixes to readme file
`1.0.3`
- Hotfix for infinite M2 (Pack Hounds) spam
`1.1.0`
- Hotfix for Hardlight Afterburner breaking the Overclocked Drives ability. Overclocked Drives now actually displays how many charges it has as other skills would (Influenced by Hopoo feathers and Hardlight afterburners). Overclocked drives is no longer interruptible. Minor fixes to localisation strings and to the Thunderstore page's images.
`1.1.2`
- Fixed absent skin definition causing issues on the character selection screen
`1.2.0`
- Ms. Isle is now multplayer compatible! All abilities have been tested in 2-player multiplayer on both client-side and host-side, with the only remaining issue being the invisible nuke bug. Aside from this visual bug, the mod is now multiplayer ready.
- Fixed *Pack Hounds* not accumulating stocks on anyone but the host.
- Fixed *Pack Hounds* ability icon showing an incongruent number of stocks (especially on level transition).
- Fixed *Pack Hounds* appearing to have no controller and just flying into the ground on the client-side, despite actually working on the server.
- Changed *Pack Hounds* to have a cap of 50 (Short term fix for Back Magazines' interaction with this mod being very poorly designed by me)
- Fixed *Cumulative Warhead* not having the intended number of health points and dying early. Previously it was possible to detonate the nuke early using a high damage attack like a Royal Capacitor.
`1.2.1`
- Fixed aim-ray intersecting with self

## Credits
**Hogyn Melyn** (Alex James) - Programming/Development  
**Hopoo Games** - Stock assets etc.  
Discord users A Very Spooky Fisho, The GoldenOne, Gonk, and Shiroe - Reporting the gamebreaking bug from the initial release
Discord user SethHoward - Reporting the Hardlight Afterburner bug
twitch.tv/JustANiceDude and EnderGrimm - Testing multiplayer and reporting bugs with specific details
Discord user Tank Man - reporting aim-ray bug
## Contacts
**Hogyn Melyn** (Alex James) - Discord @ HogynMelyn#2589
___
#### Fun Facts:
Not a single new prefab, asset, of resource was used in the creation of this mod. All resources are either stock (already installed with RoR2), or in-code modified versions of those stock assets. (Hence the small install size)

#### Source:
Looking to get into modding? Check out the bitter, swear-word ridden source code at https://bitbucket.org/AJames99/missiledronesurvivormod